INTEG(9)

NAME

integ - Integrator with gain pin and windup limits

SYNOPSIS

loadrt integ [count=N|names=name1[,name2...]]

FUNCTIONS

integ.N (requires a floating-point thread)

PINS

integ.N.in float in

integ.N.gain float in (default: 1.0)

integ.N.out float out
    The discrete integral of 'gain * in' since 'reset' was deasserted

integ.N.reset bit in
    When asserted, set out to 0

integ.N.max float in (default: 1e20)

integ.N.min float in (default: -1e20)

AUTHOR

Jeff Epler

LICENSE

GPL